document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_3500
--- +++ @@ -25,6 +25,6 @@ # Shell timeout: benchmark run will be killed # after the specified number of seconds. -# If set to -1 or empty is no timeout. +# If set to -1 or empty there is no timeout. # This timeout is implemented with the shell command 'timeout' -export SH_TIMEOUT=${SH_TIMEOUT:-3} +export SH_TIME...
bash
d_bash_3501
--- +++ @@ -1 +1 @@ -export RUBY=2.1.6 +export RUBY='2.2.2 --patch https://raw.githubusercontent.com/rvm/rvm/2c197d35f533d173ca07491c6367c6cf81d519eb/patches/ruby/2.2.2/fix_installing_bundled_gems.patch'
bash
d_bash_3502
--- +++ @@ -4,11 +4,11 @@ if [ "$TRAVIS_BRANCH" = "master" ] && [ "$TRAVIS_PULL_REQUEST" = "false" ] then echo "Deploying!" && \ - sed -i .tmp "s/\/\/ app.baseUrl = '\/polymer-starter-kit/app.baseUrl = '\/polymer-starter-kit/" app/scripts/app.js && \ + sed -i.tmp "s/\/\/ app.baseUrl = '\/polymer-starter-kit/ap...
bash
d_bash_3503
--- +++ @@ -14,7 +14,7 @@ if [ -n "${RESTIC_FORGET_ARGS}" ]; then echo "Forget about old snapshots based on RESTIC_FORGET_ARGS = ${RESTIC_FORGET_ARGS}" >> /var/log/cron.log restic forget ${RESTIC_FORGET_ARGS} >> /var/log/backup-last.log 2>&1 - + rc=$? if [[ $rc == 0 ]]; then echo "Forget S...
bash
d_bash_3504
--- +++ @@ -2,7 +2,7 @@ apt update apt install --yes python python-pip xfce4 firefox -git clone --depth 1 https://github.com/trustedsec/social-engineer-toolkit.git set/ +git clone --depth 1 --branch fix-pymssql --single-branch https://github.com/meitar/social-engineer-toolkit.git set/ chown -R vagrant:vagrant se...
bash
d_bash_3505
--- +++ @@ -4,8 +4,6 @@ if [[ "$OSTYPE" == darwin* ]]; then alias ls='gls -hF --color' # add colors for filetype recognition alias sed='gsed' - - export HOMEBREW_GITHUB_API_TOKEN=2688b6f3c66f56fddf0bad4dbeddec553639046d # antigen bundle brew # antigen bundle brew-cask
bash
d_bash_3506
--- +++ @@ -1,2 +1 @@ GIT=https://gitlab.redox-os.org/redox-os/logd.git -BRANCH=redox-unix
bash
d_bash_3507
--- +++ @@ -6,8 +6,10 @@ SourceUtil(){ clearGradleCache(){ - if [[ -d ${buildDir}/.gradle/caches ]]; then + if [ -d ${buildDir}/.gradle/caches/ ]; then Logger logProgressMsg "clearing_gradle_cache" + + cd ${buildDir}/.gradle/caches/ git clean -fdq
bash
d_bash_3508
--- +++ @@ -1,4 +1,4 @@ #!/bin/bash -xvfb-run --server-args='-screen 0 1280x1024x24' protractor $@ +xvfb-run -a --server-args='-screen 0 1280x1024x24' protractor $@
bash
d_bash_3509
--- +++ @@ -6,6 +6,8 @@ function doIt() { rsync --exclude ".git/" --exclude ".DS_Store" --exclude "bootstrap.sh" --exclude "brew.sh" \ + --exclude "vscode/" --exclude "sublime/" --exclude "iterm2/" --exclude "bin/" \ + --exclude "phpdev.sh" --exclude "setup.sh" \ --exclude "packages.sh" --exclude "REA...
bash
d_bash_3510
--- +++ @@ -1,4 +1,7 @@ #!/bin/zsh + +bin_directory=$(cd -P -- "$(dirname -- "$0")" && printf '%s\n' "$(pwd -P)") +export BASEDIR=$(dirname $bin_directory) bootstrap_script=${(%):-%N} bindir=`dirname $bootstrap_script`
bash
d_bash_3511
--- +++ @@ -2,6 +2,7 @@ cd "$(dirname $0)"/.. -# brew install zsh -# chsh -s /usr/local/bin/zsh -# chsh -s /bin/zsh +if [ "$SHELL" -ne "/bin/zsh" ]; then + echo "Setting Zsh as the default shell..." + chsh -s /bin/zsh +fi
bash
d_bash_3512
--- +++ @@ -3,3 +3,4 @@ SEMVER_REGEX="s\.version = \"[0-9]*\.[0-9]*\.[0-9]*\(-.*\)\{0,1\}\"" sed "s/$SEMVER_REGEX/s.version = \"$VERSION\"/" Moya.podspec > tmpPodspec mv -f tmpPodspec Moya.podspec +
bash
d_bash_3513
--- +++ @@ -1,4 +1,6 @@ #!/usr/bin/env bash cp docker-files/.env ./ docker-compose up -d -docker exec ruggedy-vma /usr/share/nginx/html/ruggedy-vma/docker-files/post-docker-compose-up.sh +echo "Waiting for containers to initialise..." +sleep 10 +docker exec -t ruggedy-vma /usr/share/nginx/html/ruggedy-vma/docker-f...
bash
d_bash_3514
--- +++ @@ -1,3 +1,4 @@ +#!/bin/sh nj() { echo "> node -v" node -v @@ -25,3 +26,50 @@ echo "> serve -s build&" serve -s build& } + +njconfls() { + echo "npm config get $@" + npm config get $@ +} +njconfrepo() { + njconfls "registry" $@ +} + +njrepols() { + usage $# "PKG_NAME" + + echo "npm ls $@" +...
bash
d_bash_3515
--- +++ @@ -54,5 +54,12 @@ fi } +# Execute a command in a specific directory +function in() { + ( + cd ${1} && shift && ${@} + ) +} + # Mirror a website alias mirrorsite='wget -m -k -K -E -e robots=off'
bash
d_bash_3516
--- +++ @@ -1,4 +1,5 @@ #!/bin/bash set -ev +mkdir -p www/config curl -H 'Authorization: token $HAOSHIYOU_SECURITY_TOKEN' -H 'Accept: application/vnd.github.v3.raw' -o www/config/config.json -O -L https://api.github.com/repos/xinbenlv/haoshiyou-security/config.json
bash
d_bash_3517
--- +++ @@ -1,27 +1,2 @@ ## From https://github.com/uswitch/u if which u &> /dev/null; then eval "$(u --completion-script-zsh)"; fi - -func golnusw() { - local project=${1} - ln -s ~/Projects/${project} ${GOPATH}/src/github.com/uswitch/${project} -} - -func godev() { - cd ${GOPATH}/src/github.com/${1} -} - -func...
bash
d_bash_3518
--- +++ @@ -4,12 +4,14 @@ C1=10.2.1.4 C2=10.2.1.7 -UNIVERSE=10.2.2.0/24 +UNIVERSE=10.2.0.0/16 +SUBNET_1=10.2.2.0/24 +SUBNET_2=10.2.3.0/24 start_suite "Ping over cross-host weave network (with and without IPAM)" -weave_on $HOST1 launch -iprange $UNIVERSE -weave_on $HOST2 launch -iprange $UNIVERSE $HOST1 +weav...
bash
d_bash_3519
--- +++ @@ -1,5 +1,11 @@ #!/bin/bash # Rename creds.sample to just creds and replace username and password with your Red Hat login credentials. + +# ensure that the system is RHEL :) +if [ `grep 'Red Hat Enterprise Linux' /etc/redhat-release | wc -l` -eq 1 ]; then + echo "Subscription-manager plugin doesn't appl...
bash
d_bash_3520
--- +++ @@ -1,3 +1,8 @@ +# cd back to the directory where the AppImage was launched from. AppRun changes +# the working directory so as to work with binaries that have /usr hard-coded; +# we don't. +cd $OWD + # Set GEM_PATH to where we installed gems in the AppImage. export GEM_PATH=$APPDIR/var/lib/gems/2.3.0
bash
d_bash_3521
--- +++ @@ -9,16 +9,17 @@ export PATH=$PATH:`pwd`/ninja cd ninja +cp ninja ninji # So cleaning doesn't wipe the ninja binary echo Run Ninja -ninja -t clean +ninji -t clean date +%H:%M:%S.%N -ninja -j3 +ninji -j3 date +%H:%M:%S.%N -ninja -j3 +ninji -j3 date +%H:%M:%S.%N echo Run Shake -ninja -t clean +ninji...
bash
d_bash_3522
--- +++ @@ -38,7 +38,13 @@ } vs() { - vim "$@" -S + if (($# > 0)); then + local session="$1" + shift + vim "$@" -S "$session" + else + vim -S + fi } # Start vim with its last cursor position
bash
d_bash_3523
--- +++ @@ -8,7 +8,7 @@ # Prevent "Are you sure you want to continue connecting (yes/no)? " prompt printf "Host builds.opentosca.org\n\tStrictHostKeyChecking no\n" >> ~/.ssh/config -command="cd www/winery/\n" +command="cd www/winery-eclipse/\n" # change into dir and delete old snapshots command="${command}mkd...
bash
d_bash_3524
--- +++ @@ -1,3 +1,5 @@ #!/bin/bash +pushd $(dirname $0) &> /dev/null python2 -m unittest discover +popd &> /dev/null
bash
d_bash_3525
--- +++ @@ -12,7 +12,7 @@ rm -rf "$RELEASE_DIR" echo "Getting variables from S3" -aws s3 cp s3://platform-infra/terraform/monitoring.tfvars "$TF_VARS" +aws s3 cp s3://platform-infra/terraform.tfvars "$TF_VARS" # Download releases from S3 mkdir -p "$RELEASE_DIR"
bash
d_bash_3526
--- +++ @@ -28,7 +28,7 @@ printf "\n\nRunning CoffeeLint...\n" coffeelint itad_importer.user.coffee printf "Running JSHint...\n" -coffee-jshint --options loopfunc,browser,devel,jquery itad_importer.user.coffee +coffee-jshint -o loopfunc,newcap,noarg,nonew,browser,devel,jquery itad_importer.user.coffee printf "\...
bash
d_bash_3527
--- +++ @@ -9,7 +9,7 @@ echo "https://github.com/adoptium/temurin11-binaries/releases/download/jdk-11.0.12%2B7/OpenJDK11U-jdk_x64_linux_hotspot_11.0.12_7.tar.gz" ;; java16) - echo "https://github.com/AdoptOpenJDK/openjdk16-binaries/releases/download/jdk-16.0.1%2B9/OpenJDK16U-jdk_x64_linux_hotspot_16.0.1_9.t...
bash
d_bash_3528
--- +++ @@ -4,7 +4,7 @@ keyname=${2:-class2} #floatingip=${3:-10.1.64.32} -cat > data.txt <<EOF +cat > data.txt <<EOD #!/bin/bash passwd ubuntu <<EOF ubuntu @@ -16,7 +16,7 @@ EOF python -m SimpleHTTPServer 80 -EOF +EOD floatingip=`nova floating-ip-create sixtyfour | awk '/sixtyfour/ {print $2}'` nova b...
bash
d_bash_3529
--- +++ @@ -3,6 +3,18 @@ bundle install --path "/home/jenkins/bundles/${JOB_NAME}" --deployment bundle exec rake db:setup bundle exec rake db:migrate + +# DELETE STATIC SYMLINKS AND RECONNECT... +rm /var/lib/jenkins/jobs/Guides/workspace/public/images +rm /var/lib/jenkins/jobs/Guides/workspace/public/javascripts +...
bash
d_bash_3530
--- +++ @@ -3,6 +3,9 @@ case $PYTHON_VERSION in system) + pip install virtualenv + virtualenv venv + . venv/bin/active ;; tox) brew install pyenv
bash
d_bash_3531
--- +++ @@ -14,8 +14,18 @@ export NO_COVERAGE="true" bundle exec rake --trace else + if [[ -n ${CODECLIMATE_REPO_TOKEN} ]]; then + curl -L https://codeclimate.com/downloads/test-reporter/test-reporter-latest-linux-amd64 > ./cc-test-reporter + chmod +x ./cc-test-reporter + ./cc-test-reporter before-bu...
bash
d_bash_3532
--- +++ @@ -13,6 +13,7 @@ brew install parallel brew install wget brew install ffmpeg +# brew install iperf brew install bat brew install diff-so-fancy
bash
d_bash_3533
--- +++ @@ -15,26 +15,19 @@ do if [ "$(echo $SSH_AGENT_KEYS | grep $CHECK_KEY )" = "" ] then - # FIXME: Add the missing key only here - return 0 + add_ssh_key $CHECK_KEY fi done - - return 1 } -add_ssh_keys() +add_ssh_key() { - for ADD_KE...
bash
d_bash_3534
--- +++ @@ -1,3 +1,4 @@ alias be='bundle exec' alias brake='bundle exec rake' alias server='ruby -run -ehttpd .' +alias spec='SKIP_EMBER=true SELENIUM=true bundle exec rspec'
bash
d_bash_3535
--- +++ @@ -10,5 +10,9 @@ # install sails.js npm install --global sails@0.10.5 +# install the web app rsync -av /vagrant/web /var/web pushd /var/web && npm install && popd + +# build the Varnish docker image +sudo docker build --force-rm --tag="varnish4" /vagrant/varnish4/
bash
d_bash_3536
--- +++ @@ -1,6 +1,9 @@ #!/bin/bash rm -rf docs/html/ || exit 0; +echo "Generating docs" jsdoc -c js-doc.json + +echo "Preparing to push docs to github" ( cd docs/html/ git init git config user.name "Njagi Mwaniki"
bash
d_bash_3537
--- +++ @@ -6,12 +6,13 @@ VARIANT=$1 fi -HERE=$(cd $(dirname $0); pwd -P) -PERF=$(grep -A1 -i "${VARIANT}" ${HERE}/smm-test.txt | \ +PERF=$(grep -A1 -i "${VARIANT}" smm-test.txt | \ grep -e "performance" | \ cut -d" " -f2 | \ sort -n) +#AVG=$((echo -n "scale=3;"; echo "${PERF}0" | tr "\n" "+") | bc) ...
bash
d_bash_3538
--- +++ @@ -3,9 +3,6 @@ set -e cat <<EOF >/etc/apt/sources.list.d/ubuntu-20.04_custom.list -# i386 not available -deb http://apt.llvm.org/focal/ llvm-toolchain-focal main -deb-src http://apt.llvm.org/focal/ llvm-toolchain-focal main deb http://apt.llvm.org/focal/ llvm-toolchain-focal-9 main deb-src http://apt.l...
bash
d_bash_3539
--- +++ @@ -1,6 +1,12 @@ #!/bin/sh . /etc/sysconfig/heat-params + +if [ "$VERIFY_CA" == "True" ]; then + VERIFY_CA="" +else + VERIFY_CA="-k" +fi WC_NOTIFY_BIN=/usr/local/bin/wc-notify WC_NOTIFY_SERVICE=/etc/systemd/system/wc-notify.service
bash
d_bash_3540
--- +++ @@ -21,5 +21,9 @@ CONFIGMANAGER=${CONFIGMANAGER:-apiproxy/configmanager} ENVOY=${ENVOY:-apiproxy/envoy} +# Optional args for Envoy. Example, to set the logging level: +# docker run -e 'ENVOY_ARGS="-l debug"' ... +ENVOY_ARGS=${ENVOY_ARGS:-""} + ${CONFIGMANAGER} $@ & -${ENVOY} -c apiproxy/envoy_bootstrap...
bash
d_bash_3541
--- +++ @@ -1,4 +1,4 @@ -#!/bin/sh +#!/bin/bash pushd `dirname $0` > /dev/null SCRIPT_PATH=`pwd` popd > /dev/null
bash
d_bash_3542
--- +++ @@ -13,4 +13,6 @@ fi rm -fr $HOME/.groovy/grapes/ +mkdir -p $HOME/.groovy/grapes/ rm -fr ../templates/maven-quickstart/.lazybones/repo +mkdir -p ../templates/maven-quickstart/.lazybones/repo
bash
d_bash_3543
--- +++ @@ -3,6 +3,6 @@ set -e sbt coordinator/assembly -JARFILE="$(ls -t coordinator/target/scala-2.10/coordinator-assembly*.jar | head -1)" +JARFILE="$(ls -t coordinator/target/scala-2.12/coordinator-assembly*.jar | head -1)" cp "$JARFILE" "coordinator/docker/coordinator-assembly.jar" docker build --pull=true...
bash
d_bash_3544
--- +++ @@ -1 +1 @@ -export JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.7.0_45.jdk/Contents/Home/ +export JAVA_HOME=/Library/Java/JavaVirtualMachines/jdk1.8.0_25.jdk/Contents/Home/
bash
d_bash_3545
--- +++ @@ -3,7 +3,7 @@ } slimline::section::nodejs::async_task() { - echo "$(node -v 2>/dev/null)" + command node -v 2>/dev/null } slimline::section::nodejs::async_task_complete() {
bash
d_bash_3546
--- +++ @@ -2,7 +2,12 @@ buildDir=$1 -absBldDir=$(readlink -f $buildDir) +if [[ ! -d $buildDir ]] ; then + echo "goto Error: No directory exists at $buildDir" >&2 + exit 1 +fi + +absBldDir=$(readlink -f $buildDir/) iterSearchDir=$absBldDir while [[ $iterSearchDir != "/" ]] ; do
bash
d_bash_3547
--- +++ @@ -7,7 +7,10 @@ fi if [[ ! -z $MARIONETTE ]]; then - export GECKODRIVER_DOWNLOAD=`curl -H "Authorization: token $GITHUB_TOKEN" -s 'https://api.github.com/repos/mozilla/geckodriver/releases/latest' | python -c "import sys, json; r = json.load(sys.stdin); print([a for a in r['assets'] if 'linux64' in a['n...
bash
d_bash_3548
--- +++ @@ -5,4 +5,5 @@ echo "ERROR: Rancher must be ran with the --privileged flag when running outside of Kubernetes" exit 1 fi +rm -f /var/lib/rancher/k3s/server/cred/node-passwd exec tini -- rancher --http-listen-port=80 --https-listen-port=443 --audit-log-path=${AUDIT_LOG_PATH} --audit-level=${AUDIT_...
bash
d_bash_3549
--- +++ @@ -1,5 +1,8 @@ +#!/bin/bash set -e -ruby -e "$(curl -fsSL https://raw.github.com/mxcl/homebrew/go)" +# pip is not installed by default on mac. +easy_install pip +ruby -e "$(curl -fsSL https://raw.github.com/Homebrew/homebrew/go/install)" # Install GNU core utilities (those that come with OS X are outdate...
bash
d_bash_3550
--- +++ @@ -1,6 +1,7 @@ #!/bin/sh -PAT=$(grep -Hrn --binary-files=without-match 'pyflakes: silence' $1 | sed -ze 's/\([^:]*:[^:]*:\)[^\n]*\n/\1|/g' -e 's/.$//') +PAT=$(grep -Hrn --binary-files=without-match 'pyflakes: silence' $1 | + sed -e ':a' -e 'N' -e '$!ba' -e 's/\([^:]*:[^:]*:\)[^\n]*\n\?/\1|/g' -e 's/.$/...
bash
d_bash_3551
--- +++ @@ -2,7 +2,7 @@ set -euo pipefail -VERSION=$(cat redisson-archives/version) +VERSION=$(cat redisson-all-archives/version) cp redisson-all-archives/redisson-all-*.jar repository/redisson-all-$VERSION.jar cp redisson-tomcat-8-archives/redisson-tomcat-8-*.jar repository/redisson-tomcat-8-$VERSION.jar
bash
d_bash_3552
--- +++ @@ -75,7 +75,7 @@ brew update brew outdated - brew upgrade + brew upgrade --all brew_up
bash
d_bash_3553
--- +++ @@ -10,5 +10,5 @@ alias c="g commit -v -m" alias po="p origin" alias yo="y origin" -alias pm="po master" -alias ym="yo master" +alias pm="po \$(git rev-parse --abbrev-ref HEAD)" +alias ym="yo \$(git rev-parse --abbrev-ref HEAD)"
bash
d_bash_3554
--- +++ @@ -3,7 +3,7 @@ # Do we want to check dynamic inventory, bin, etc? BASEDIR=${1-"lib"} -SIX_USERS=$(find "$BASEDIR" -name '*.py' -exec grep -H six \{\} \;|grep import |grep -v ansible.compat) +SIX_USERS=$(find "$BASEDIR" -name '*.py' -exec grep -wH six \{\} \;|grep import |grep -v ansible.compat) if test ...
bash
d_bash_3555
--- +++ @@ -10,6 +10,9 @@ rm -Rf "$HOME"/"$JHIPSTER"/node_modules/*grunt* rm -Rf "$HOME"/"$JHIPSTER"/node_modules/*phantom* +rm -Rf "$HOME"/"$JHIPSTER"/src +rm -Rf "$HOME"/"$JHIPSTER"/target + npm link generator-jhipster yo jhipster --force --no-insight ls -al "$HOME"/"$JHIPSTER"
bash
d_bash_3556
--- +++ @@ -8,3 +8,7 @@ --exclude "README.md" \ -avh --no-perms . ~; + +# This line needs to be commented if you're not using the +# default vim config +ln -s ~/.vim/.vimrc ~/.vimrc
bash
d_bash_3557
--- +++ @@ -18,14 +18,21 @@ rm -fr dist/docs/* echo "Creating link to the packages..." -ln -s ../peek-agent/peek_agent/ peek_agent -ln -s ../peek-client/peek_client/ peek_client -ln -s ../peek-platform/peek_platform/ peek_platform -ln -s ../peek-server/peek_server/ peek_server -ln -s ../peek-worker/peek_worker/ p...
bash
d_bash_3558
--- +++ @@ -1 +1 @@ -rsync -v target/universal/demschooltools-1.1.zip evan@demschooltools.com:/home/evan/ +rsync -v -h --progress target/universal/demschooltools-1.1.zip evan@demschooltools.com:/home/evan/
bash
d_bash_3559
--- +++ @@ -1,7 +1,7 @@ #!/bin/sh -if [ $# -lt 1 ]; then - echo "Usage: $0 <function name>" +if [ $# -lt 2 ]; then + echo "Usage: $0 <function name> <path to libm>" exit 1 fi @@ -13,7 +13,7 @@ R="" for i in `jot ${ITERATION}`; do - T=`sudo dtrace -s ${BINDIR}/msun-bench.d -c "${BINDIR}/msun-bench $1 ${BIN...
bash
d_bash_3560
--- +++ @@ -12,13 +12,10 @@ } install() { - set -x - for i in $(find /usr/lib64/python2.7/ -type f); do - inst $i - done - for i in $(find /usr/lib/python2.7/ -type f); do - inst $i - done + inst /usr/bin/python + while IFS='' read -r -d '' i; do + inst "$i" + done < <...
bash
d_bash_3561
--- +++ @@ -10,6 +10,13 @@ [[ -d $HOME/.local/bin ]] && PATH="$HOME/.local/bin:$PATH" +# Local Composer Binaries +PATH="./vendor/bin:$PATH" + +# Local Node Binaries +PATH="./.node_modules/.bin:$PATH" + + # Remove duplicates from PATH remove_dups() { local D=${2:-:} path= dir=
bash
d_bash_3562
--- +++ @@ -11,7 +11,7 @@ -batch || { echo "Failed to create the certificate"; exit 1; } fi -chown -R quassel:quassel ${confdir} +chown -R quasselcore:quasselcore ${confdir} params="$* --port=${QUASSEL_PORT}"
bash
d_bash_3563
--- +++ @@ -17,6 +17,10 @@ mysql -uroot -e "CREATE USER 'admin'@'%' IDENTIFIED BY '$PASS'" mysql -uroot -e "GRANT ALL PRIVILEGES ON *.* TO 'admin'@'%' WITH GRANT OPTION" +# You can create a /mysql-setup.sh file to intialized the DB +if [ -f /mysql-setup.sh ] ; then + . /mysql-setup.sh +fi echo "=> Done!"
bash
d_bash_3564
--- +++ @@ -11,7 +11,7 @@ } git_configure() { - git config core.whitespace fix + git config --global core.whitespace fix git config --global user.email "nobody@concourse.ci" git config --global user.name "Concourse" }
bash
d_bash_3565
--- +++ @@ -38,7 +38,7 @@ pinfo 'Updating to latest version...' git checkout -- . - git checkout master + # git checkout master git pull --progress || exit 3 fi
bash
d_bash_3566
--- +++ @@ -1,6 +1,7 @@ #!/usr/bin/env sh bundle install && +bundle exec rake pod:install && bundle exec rake clean && bundle exec rake spec && bundle exec rake clean &&
bash
d_bash_3567
--- +++ @@ -10,5 +10,5 @@ echo 'Installing Rails' gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 \curl -sSL https://get.rvm.io | bash -s stable --rails - source ~/.rvm/scripts/rvm + source /usr/local/rvm/scripts/rvm fi
bash
d_bash_3568
--- +++ @@ -18,6 +18,9 @@ FRAMEWORK_EXECUTABLE_PATH="$FRAMEWORK/$FRAMEWORK_EXECUTABLE_NAME" echo "Executable is $FRAMEWORK_EXECUTABLE_PATH" + # skip if non-fat binary + [[ $(lipo -info "$FRAMEWORK_EXECUTABLE_PATH") == *"Non-fat"* ]] && continue; + EXTRACTED_ARCHS=() for ARCH in $ARCHS; do
bash
d_bash_3569
--- +++ @@ -13,7 +13,7 @@ if [ -n "$DISPLAY" ] && [ -n "$DEFAULT_X_TERMINAL" ]; then (unset TMUX; ${DEFAULT_X_TERMINAL} -e tmux -2 new-session 'vim -c CtrlP' 2>/dev/null) & else - vim -c CtrlP + </dev/tty vim -c CtrlP fi } zle -N zsh_ctrlp
bash
d_bash_3570
--- +++ @@ -38,12 +38,4 @@ fi done -#echo "running golint on the pkg directory (golint pkg/...)" -#out="$(golint pkg/...)" -#if [[ ${out} ]]; then -# echo "FAIL: following golint errors found:" -# echo "${out}" -# ec=1 -#fi - exit ${ec}
bash
d_bash_3571
--- +++ @@ -1,2 +1,2 @@ #!/bin/sh -./configure --with-debug --with-components="example net lustre coretemp" $1 +./configure --with-debug --with-components="coretemp example infiniband lustre mx net" $1
bash
d_bash_3572
--- +++ @@ -2,8 +2,7 @@ set -e -GOLANG_VERSION="1.12.5" -#GOLANG_VERSION="1.13-alpine" +GOLANG_VERSION="latest" while [ $# -gt 0 ]; do case "$1" in
bash
d_bash_3573
--- +++ @@ -22,5 +22,11 @@ # Broadcast on IP:port of the container sed -i -e "s/^# broadcast_address.*/broadcast_address: $HOST/" $CASSANDRA_CONFIG/cassandra.yaml +# Pointless in one-node cluster, saves about 5 sec waiting time +echo "JVM_OPTS=\"\$JVM_OPTS -Dcassandra.skip_wait_for_gossip_to_settle=0\"" >> $CASSA...
bash
d_bash_3574
--- +++ @@ -2,7 +2,7 @@ set -e -IOSSDK_VER="7.0" +IOSSDK_VER="9.0" # xcodebuild -showsdks
bash
d_bash_3575
--- +++ @@ -32,6 +32,7 @@ cp $src/moment.js $dest cp $src/package.json $dest cp $src/README.md $dest +cp $src/CHANGELOG.md $dest cp $src/LICENSE $dest cp -r $src/locale $dest cp -r $src/min $dest
bash
d_bash_3576
--- +++ @@ -1,5 +1,5 @@ #!/bin/bash #This is a jenkins script -docker build -t flirt /opt/infrastructure/docker/images/flirt +docker build --no-cache -t flirt /opt/infrastructure/docker/images/flirt
bash
d_bash_3577
--- +++ @@ -11,7 +11,7 @@ done RUNTESTS="FaucetSanityTest" -if [ "${MATRIX_SHARD}" != "sanity" ] ; then +if [ "${MATRIX_SHARD}" == "sanity" ] ; then cd tests PYTHONPATH=~/faucet ./test_coverage.sh || exit 1 codecov || true
bash
d_bash_3578
--- +++ @@ -6,7 +6,7 @@ export LD_LIBRARY_PATH=$PREFIX/lib if [[ $(uname) =~ .*Darwin.* ]]; then - gn gen out.gn "--args=use_custom_libcxx=false clang_use_chrome_plugins=false v8_use_external_startup_data=false is_debug=false clang_base_path=\"${BUILD_PREFIX}\" mac_sdk_min=\"10.9\" use_system_xcode=false is_comp...
bash
d_bash_3579
--- +++ @@ -1,11 +1,11 @@ #!/bin/bash # Send Latest Scripts to Production Server -rsync -avz scripts/ circle@hydrogen.levlaz.org:/var/www/braindump/scripts/ -rsync -avz etc/ circle@hydrogen.levlaz.org:/var/www/braindump/etc/ -scp docker-compose.yml circle@hydrogen.levlaz.org:/var/www/braindump +rsync -avz scripts...
bash
d_bash_3580
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -MINCOVERAGE=87 +MINCOVERAGE=88 coverage erase || exit 1 for i in test_*py ; do PYTHONPATH=.. coverage run -a --source ../faucet $i || exit 1 ; done
bash
d_bash_3581
--- +++ @@ -7,4 +7,9 @@ name=`date +"/tmp/finances_backups_%Y%m%d%H%M.tgz"` tar cf $name sql_backups gpg -e -r max $name -scp $name.gpg pi-internal:/home/max/backups + +if [[ "$1" != "" ]] +then + ssh $1 "mkdir -p ~/data" + scp $name.gpg "$1:~/data/" +fi
bash
d_bash_3582
--- +++ @@ -2,6 +2,7 @@ DUMP6FILE=/user/worker/hbase-dump-2015-10-01-2015-12-01-aman/webpage KEY_TO_EXTRACT=description +NEW_RDD_KEY_KEY=url OUTFILE=/user/crogers/hbase-dump-2015-10-01-2015-12-01-aman-webpage-descriptions-tokens.seq # Dangerous! @@ -17,6 +18,7 @@ -- \ --input ${DUMP6FILE} \ --k...
bash
d_bash_3583
--- +++ @@ -1,6 +1,8 @@ set -ex if ! grep --quiet "deb http://download.virtualbox.org/virtualbox/debian '$(lsb_release -cs)' contrib non-free" /etc/apt/sources.list.d/virtualbox.list; then + apt-get install linux-kernel-headers + sh -c "echo 'deb http://download.virtualbox.org/virtualbox/debian '$(lsb_release...
bash
d_bash_3584
--- +++ @@ -21,3 +21,7 @@ } builtin '.s' dot_s +bye() { + exit +} +builtin 'bye' bye
bash
d_bash_3585
--- +++ @@ -3,7 +3,7 @@ # Disable Safari promotion defaults write com.apple.coreservices.uiagent CSUIHasSafariBeenLaunched -bool YES defaults write com.apple.coreservices.uiagent CSUIRecommendSafariNextNotificationDate -date 2050-01-01T00:00:00Z -defaults write com.apple.coreservices.uiagent CSUILastOSVersionWhere...
bash
d_bash_3586
--- +++ @@ -6,6 +6,17 @@ check_internet () { ping github.com -c 1 > /dev/null 2>&1 +} + +check_time () { + local_time="$(date +%s)" + local_time="1603080024" + remote_time="$(curl -s "http://worldtimeapi.org/api/ip" | jq .unixtime)" + difference="$((local_time-remote_time))" + difference="${dif...
bash
d_bash_3587
--- +++ @@ -3,4 +3,4 @@ # this script starts a las2peer node providing the example service of this project # pls execute it from the root folder of your deployment, e. g. ./bin/start_network.sh -java -cp "lib/*;%BASE%/service/*;" i5.las2peer.tools.L2pNodeLauncher -p 9011 uploadStartupDirectory\(\'etc/startup\'\) ...
bash
d_bash_3588
--- +++ @@ -5,8 +5,8 @@ case "$1" in mac_address_is) echo "L'adresse mac du module milight est $2";; invalid_mac_address) echo "Impossible de récupérer l'adresse mac du module milight...";; - light_on_success) zone_name=""; jv_pg_m3_zone_id_to_zone_name $2 $zone_name; echo "Lumières $zone_name allumée...
bash
d_bash_3589
--- +++ @@ -5,4 +5,4 @@ bundle exec rake validate bundle exec rake lint -bundle exec rake test +bundle exec rake test:git
bash
d_bash_3590
--- +++ @@ -1,9 +1,11 @@ #!/bin/sh - + +# Gather computer information IDENTIFIER=$( defaults read /Library/Preferences/ManagedInstalls ClientIdentifier ); HOSTNAME=$( scutil --get ComputerName ); -SUBMITURL="https://munki/munki-enroll/enroll.php" +# Change this URL to the location fo your Munki Enroll install...
bash
d_bash_3591
--- +++ @@ -12,7 +12,7 @@ echo "https://github.com/AdoptOpenJDK/openjdk14-binaries/releases/download/jdk-14.0.1%2B7/OpenJDK14U-jdk_x64_linux_hotspot_14.0.1_7.tar.gz" ;; java15) - echo "https://download.java.net/java/early_access/jdk15/23/GPL/openjdk-15-ea+23_linux-x64_bin.tar.gz" + echo "https://download...
bash
d_bash_3592
--- +++ @@ -7,7 +7,7 @@ cd mapserver-7.0.0 mkdir build cd build -cmake -DWITH_KML=1 -DWITH_PHP=1 -DWITH_FCGI=0 -DWITH_SVGCAIRO .. +cmake -DWITH_KML=1 -DWITH_PHP=1 -DWITH_FCGI=0 -DWITH_SVGCAIRO=1 .. make sudo make install cd ../../
bash
d_bash_3593
--- +++ @@ -13,15 +13,15 @@ function vundle () { vundle-init - vim -c "execute \"PluginInstall\" | q | q" + vim -c "execute \"PluginInstall\" | qa" } function vundle-update () { vundle-init - vim -c "execute \"PluginInstall!\" | q | q" + vim -c "execute \"PluginInstall!\" | qa" } function vundle-...
bash
d_bash_3594
--- +++ @@ -39,3 +39,4 @@ alias root='sudo su' alias cppc='cppcheck --std=c++11 --enable=all --suppress=missingIncludeSystem .' alias octave='octave --quiet' +alias rg='rg --smart-case'
bash
d_bash_3595
--- +++ @@ -15,7 +15,8 @@ exit 0 fi -if ldd bcc-lua | grep -q luajit; then +LIBRARY=$(ldd bcc-lua | grep luajit) +if [ $? -ne 0 -o -z "$LIBRARY" ] ; then fail "bcc-lua depends on libluajit" fi
bash
d_bash_3596
--- +++ @@ -5,8 +5,6 @@ firefox-kde \ flashplugin \ konversation \ - plymouth \ - plymouth-theme-manjaro-elegant \ thunderbird-kde ...
bash
d_bash_3597
--- +++ @@ -1,5 +1,5 @@ export EDITOR='vim' -export BROWSER=google-chrome +export BROWSER=google-chrome-stable export PAGER="less" export LESS="-R"
bash
d_bash_3598
--- +++ @@ -26,4 +26,9 @@ [ -e ~/.env-local.sh ] && source ~/.env-local.sh echo $GYP_DEFINES mkdir -p out_clang -ln -svfT out_clang out +which gln > /dev/null +if [ $? -eq 0 ]; then + gln -svfT out_clang out +else + ln -svfT out_clang out +fi
bash
d_bash_3599
--- +++ @@ -1,9 +1,9 @@ #!/bin/bash -l set -eux -o pipefail -source /buildpacks-ci/scripts/start-docker -sanitize_cgroups -start_docker 3 3 "" "" +source ../../scripts/start-docker +util::docker::cgroups::sanitize +util::docker::start 3 3 "" "" wget https://github.com/bats-core/bats-core/archive/master.zip un...
bash